Closed Beta ProgramsPromotions UpdatesAPI ReferenceCoupon Codes Bulk

Delete Multiple Coupon Codes

Deletes multiple coupon codes relating to the given promotion. Currently, batches are limited to 50 coupon codes. **Notes** * "id:in" query param is required to delete coupon codes. If not provided, or provided with the wrong data format, a 422 error code is returned. * The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#api-accounts). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

promotion_idstringRequired
The ID of the associated promotion.

Query parameters

id:inlist of integersRequired

A comma-separated list of promotions to filter or target with this operation.

Example: ?id:in=11,12,13,14

Errors

422
Unprocessable Entity Error